<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "termin_structure".
 *
 * @property integer $termin_id
 * @property integer $termin_pid
 *
 * @property Termin $termin
 */
class TerminStructure extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'termin_structure';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['termin_id', 'termin_pid'], 'required'],
            [['termin_id', 'termin_pid'], 'integer']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'termin_id' => Yii::t('app', 'Termin ID'),
            'termin_pid' => Yii::t('app', 'Termin Pid'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTermin()
    {
        return $this->hasOne(Termin::className(), ['termin_id' => 'termin_id']);
    }
    
    public function getParent()
    {
        return $this->hasOne(Termin::className(), ['termin_id' => 'termin_pid']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getTerminPid()
    {
        return $this->hasMany(TerminLang::className(), ['termin_id' => 'termin_pid']);
    }
}
